Skip to navigation

Get Open Shifts by Company

View as Markdown
Beta Phase

This resource is in closed beta. Paylocity Technology Partners interested may contact the marketplace team to explore early adopter opportunities at marketplaceapisupport@paylocity.com

Summary Description

The GET Open Shifts API endpoint provides all the open shifts that are not assigned to an Employee. This would be provided with a quantity with which supervisor/manager can know how many of them can be assigned to different employees.

The use cases:

  • The Open Shifts API allows the manager to access and advertise available shifts in real-time, enabling employees to quickly claim and fill these shifts. This ensures optimal staffing levels and improves service quality.
  • Integrating the Open Shifts API with a bidding system, employees can view and bid for available shifts, promoting fairness and flexibility. The system can then allocate shifts based on predefined criteria such as seniority or skillset
  • The Open Shifts API provides detailed information about the required skills for each shift. The facility can use this data to match open shifts with qualified employees, ensuring high-quality patient care and compliance with regulatory standards

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

companyIdstringRequired

Headers

AcceptstringOptional

Query parameters

includestringOptional

The sub-resources to include in the response.
- sub-resources: breaks, note, claims

filterstringOptional

A parseable filter expression involving fields, operators, and values to filter the result list by.
- fields: startDateTime, positionKey
- operators: eq, in, lt, gt, le, ge, and, or

includeTotalCountstringOptional

When provided and set to true will cause the API to return the X-Pcty-Total-Count header in the response which will be set to the total number of resources available even if only a subset of those were returned. The default is false.

limitstringOptional
The maximum number of resources to include in the response. The default is 25.
offsetstringOptional
The number of resources to skip when returning paginated results. The default is 0.
sortstringOptional

A comma-separated, xpath-like formatting string that identifies the fields that you want the API to use for sorting the resources when they are returned. The default value can vary from API to API.

Response

Successful response